RLE_PUTRAW(3)

NAME
rle_putraw - write run length encoded data to an RLE file.

SYNOPSIS
#include <rle.h>
#include <rle_raw.h>

rle_putraw( scanraw, nraw, the_hdr );
rle_op ** scanraw;
int * nraw;
rle_hdr * the_hdr;

DESCRIPTION
The function rle_putraw provides a structured method for creating run length encoded output. It is passed an array, scanraw, of pointers to arrays of rle_op(3) structures, and an array of lengths. Each rle_op structure specifies a run or sequence of pixel values. The array nraw gives the number of rle_op structures for each channel. I.e., nraw[i] is the length of the array pointed to by scanraw[i].

SEE ALSO
rle_hdr(3), rle_op(3), rle_put_setup(3), rle_puteof(3), rle_skiprow(3), rle_raw_alloc(3), rle_raw_free(3), rle_getraw(3), rle_freeraw(3), librle(3), RLE(5).

AUTHOR
Spencer W. Thomas
University of Utah